Package org.apache.catalina.mapper

## Class Mapper.ContextVersion

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<Context>
  - - org.apache.catalina.mapper.Mapper.ContextVersion

Enclosing class:
  Mapper

    protected static final class Mapper.ContextVersion
    extends Mapper.MapElement<Context>

### Field Summary

Fields
`Mapper.MappedWrapper` `defaultWrapper`
`Mapper.MappedWrapper[]` `exactWrappers`
`Mapper.MappedWrapper[]` `extensionWrappers`
`int` `nesting`
`java.lang.String` `path`
`WebResourceRoot` `resources`
`int` `slashCount`
`java.lang.String[]` `welcomeResources`
`Mapper.MappedWrapper[]` `wildcardWrappers`

### Fields inherited from class org.apache.catalina.mapper.Mapper.MapElement

`name, object`

### Constructor Summary

Constructors
`ContextVersion​(java.lang.String version, java.lang.String path, int slashCount, Context context, WebResourceRoot resources, java.lang.String[] welcomeResources)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isPaused()`
`void` `markPaused()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### path

    public final java.lang.String path

#### slashCount

    public final int slashCount

#### resources

    public final WebResourceRoot resources

#### welcomeResources

    public java.lang.String[] welcomeResources

#### defaultWrapper

    public Mapper.MappedWrapper defaultWrapper

#### exactWrappers

    public Mapper.MappedWrapper[] exactWrappers

#### wildcardWrappers

    public Mapper.MappedWrapper[] wildcardWrappers

#### extensionWrappers

    public Mapper.MappedWrapper[] extensionWrappers

#### nesting

    public int nesting

### Constructor Detail

#### ContextVersion

    public ContextVersion​(java.lang.String version,
                          java.lang.String path,
                          int slashCount,
                          Context context,
                          WebResourceRoot resources,
                          java.lang.String[] welcomeResources)

### Method Detail

#### isPaused

    public boolean isPaused()

#### markPaused

    public void markPaused()